QGIS Application - Bug report #13130
"Zoom last" zooms to last zoom level but centers around current center
2015-07-19 11:38 PM - Casper Begrgesen

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 21194
Description

The Zoom last functionality seems to haved changed.

Situation A:
| have a view of the entire area.

Situation B:
| have zoomed into a small area close to the edge of the bounding box of A.

Situation C:
| have used Zoom last to go back to A.

Result:
| have the zoom level of A but the bounding box is centered around the bounding box of B. | would expect the bounding box to be equal to
that of A, which was the behavior of 2.10 and below.

History

#1 - 2015-07-20 05:05 AM - Nyall Dawson
- Status changed from Open to Feedback

Which revision are you testing with?

#2 - 2015-07-21 01:38 AM - Casper Borgesen

Nyall Dawson wrote:

Which revision are you testing with?

Its master f3fe29d from osgeo64w.

#3 - 2015-07-21 01:52 PM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Feedback to Closed
Duplicate of #13095
